/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
 * 
 */
package jp.mosp.kintai.payroll.vo;

import jp.mosp.common.MosPVo;

/**
 * @author matsusita
 *
 */
public class SubHolidayMenuVo extends MosPVo {
	
	private static final long	serialVersionUID	= 8339937461422814481L;
	
	private String[][]			arySubHolidayMenu;
	

	/**
	 * コンストラクタ
	 */
	public SubHolidayMenuVo() {
		super();
		setViewPath(getClassName());
	}
	
	@Override
	protected void setSubTitle() {
		subTitle = "代休管理メニュー";
		createAryMenu(CMD_MENU_PAYROLL);
	}
	
	/**
	 * @return arySubHolidayMenu
	 */
	public String[][] getArySubHolidayMenu() {
		return arySubHolidayMenu.clone();
	}
	
	/**
	 * @param arySubHolidayMenu セットする arySubHolidayMenu
	 */
	public void setArySubHolidayMenu(String[][] arySubHolidayMenu) {
		this.arySubHolidayMenu = arySubHolidayMenu.clone();
	}
	
}
